Show / Hide Table of Contents

# Struct ShaderPackage.MaterialElement

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Kernel

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct MaterialElement

### Fields

| Improve this Doc View Source

#### CRC

##### Declaration

    public uint CRC

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Offset

##### Declaration

    public ushort Offset

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Size

##### Declaration

    public ushort Size

##### Field Value

Type | Description
--- | ---
System.UInt16 |